﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.Win;

namespace _130897
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            DataTable dt = new DataTable();
            dt.Columns.Add("id", typeof(int)).AutoIncrement = true;
            dt.Columns.Add("DropDownColumn", typeof(int));

            for (int i = 0; i < 10; i++)
            {
                dt.Rows.Add(null, i);
            }

            ultraGrid1.InitializeLayout += new Infragistics.Win.UltraWinGrid.InitializeLayoutEventHandler(ultraGrid1_InitializeLayout);
            ultraGrid1.DataSource = dt;
        }

        void ultraGrid1_InitializeLayout(object sender, Infragistics.Win.UltraWinGrid.InitializeLayoutEventArgs e)
        {
            ValueList vl = new ValueList();
            for (int i = 0; i < 100; i++)
            {
                vl.ValueListItems.Add(i, string.Format("{0}{1}{2}Item{3}", i % 9, i % 9, i % 8,i));
            }

            e.Layout.Bands[0].Columns[1].ValueList = vl;
            e.Layout.Bands[0].Columns[1].AutoCompleteMode = Infragistics.Win.AutoCompleteMode.SuggestAppend;
            e.Layout.Bands[0].Columns[1].Style = Infragistics.Win.UltraWinGrid.ColumnStyle.DropDown;
            e.Layout.Bands[0].Columns[1].ButtonDisplayStyle = Infragistics.Win.UltraWinGrid.ButtonDisplayStyle.Always;

        }
    }
}
